Page MenuHomePhabricator

Investigate broken features in maps VisualEditor integration and decide which ones to remove
Closed, ResolvedPublic

Description

We should investigate what these are, and fix or disable them.

As a somewhat extreme example, we could remove/disable the entire GeoJSON editor. That would fix a lot of bugs (GeoJSON corruption, the map editor crashing) but would also mean that all you could do in VE is change the lat/long and zoom level, not add/edit pins.

Event Timeline

Catrope created this task.Feb 13 2018, 7:20 PM
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 13 2018, 7:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jmatazzoni renamed this task from Remove broken features from maps VisualEditor integration to Investigate broken features in maps VisualEditor integration and decide which ones to remove.Feb 22 2018, 12:03 AM
jmatazzoni assigned this task to Etonkovidova.

@Etonkovidova, I assigned this to you. Someone needs to try to break basic VE Maps features and document issues. Is that something you can do?

Our basic goal should be that a VE user should be able to:

  • Place a map on a page
  • Place a marker or a few markers on the map
  • Label the marker(s)? (I'm not sure about that one; it may not be allowed)
  • Add a shaded area and/or outlines to the map.

E.g., the idea would be, I want to add a map to an article about a neighborhood and show the borders of the neighborhood. Or I want to add a map of a town and show where a particular monument is located.

jmatazzoni triaged this task as Medium priority.Feb 27 2018, 12:01 AM
Etonkovidova closed this task as Resolved.Mar 21 2018, 6:18 PM